function   in_column_set = func_in_column(FSLH,select_column,N,opt_slice)
%% generate the column  by the within-slice exchange 
%% Email zhangjing_nudt@163.com
% FSLH=FSLH  % design
% select_column           % select column
% N =[n_1,n_2,...,n_t]     % denotes the size of all slices
% opt_slice = opt_slice;  % ith slice exchange
I = 50;
FSLH_initial = FSLH;
FSLH_old = FSLH; 
 if I <= ceil(1/2*N(opt_slice)*(N(opt_slice)-1)/5)
    I1 = I;
else  
   I1 = ceil(1/2*N(opt_slice)*(N(opt_slice)-1)/5); % numbers of the designs for within-slice
end
n_num = length(FSLH_old(:,select_column));
in_column_set = zeros(n_num,I1);
if I1==1   
    A = func_slice_in(FSLH_initial,N,select_column,opt_slice);
    in_column_set(:,1) = A(:,select_column);
else
    A = func_slice_in(FSLH_initial,N,select_column,opt_slice);
    in_column_set(:,1) = A(:,select_column);   
    for k = 2:I1    
        while 1
            D = func_slice_in(FSLH_initial,N,select_column,opt_slice);
            flag = 0;
            %% Checking whether any exchanged column is equal to lastest column
            for j = 1:k-1                
                if in_column_set(:,j) == D(:,select_column)        
                    flag  = 1; 
                    break
                end
            end
            if   flag == 0
                in_column_set(:,k) = D(:,select_column);
                break
            end
        end
    end
end

        
    
    
      
     
    
    
    
    
    
    

