%% Figure 3 and Figure 4 
% FSLH(4,6;2,2)
clc
clear all
%% initial design FSLH(4,6;2,2)
FSLH = [ 54    54
          42    12
         12    24
         24    42
        18    60
         6    30
        36     6
        48    18
       60    48
      30    36]; 

%% Resulting FSLH by the strategy
% FSLH = [54    24
%     24    12
%     12    54
%     42    42
%      6    18
%     48    36
%     36     6
%     18    30
%     60    48
%     30    60];
A = (FSLH-0.5)./60;
axis([0 1 0 1]);
%% grid of the first slice, 4 *4 grid
% v1=[0 0 0.25 0.25];
% v2=[0.25 0.5 0.5 0.25];
% patch(v1,v2,[173/255,208/255,238/255]);
% 
% v1=[0.25 0.25 0.5 0.5];
% v2=[0.5  0.75 0.75 0.5];
% patch(v1,v2,[173/255,208/255,238/255]);
% 
% v1=[0.25 0.25 0.5 0.5];
% v2=[0.5  0.75 0.75 0.5];
% patch(v1,v2,[173/255,208/255,238/255]);
% 
% v1=[0.75 1 1 0.75];
% v2=[0.75 0.75 1 1];
% patch(v1,v2,[173/255,208/255,238/255]);
% 
% v1=[0.5 0.75 0.75 0.5];
% v2=[0 0 0.25 0.25];
% patch(v1,v2,[173/255,208/255,238/255]);
% 
% mx = 0:1/4:1;
% my = 0:1/4:1;
% for k = 2:4
%     line([0,1],[my(k),my(k)],'color','k','linestyle','--')
% end
% for j = 2:4
%     line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
% end

%% grid of the second slice, 6 *6 grid
v1=[4/6 5/6 5/6 4/6];
v2=[1/6 1/6 2/6 2/6];
patch(v1,v2,[173/255,208/255,238/255]);

mx = 0:1/6:1;
my = 0:1/6:1;
for k = 2:6
    line([0,1],[my(k),my(k)],'color','k','linestyle','--')
end

for j = 2:6
    line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
end
%% scatter
hold on
scatter(A(1:4,1),A(1:4,2),'co','r')
scatter(A(1:4,1),A(1:4,2),'square','r')
hold on
scatter(A(5:10,1),A(5:10,2),'filled','k')
box  on  
hold  on
