function dist_matrix = func_dis(X,m)
%% distance matrix for arbitrary two design points
% zhangjing 2018.10.10
% 2019.3.8
% Email zhangjing_nudt@163.com
% X * the design
% m = 1 or 2
%%
[n,~] = size(X);
dist_matrix = zeros(n,n); 
for i=1:n
    for j= 1:n
        dist_matrix(i,j) =(sum(abs(X(i,:)-X(j,:)).^m)).^(1/m); 
    end
end 
      



