function dist_matrix = func_dis(X,m)
%% distance matrix for arbitrary two design points
% Email zhangjing_nudt@163.com
% X       % the design
% m = 2   % variable parameter for Phi_t value
%%
[n,~] = size(X);
dist_matrix = zeros(n,n); 
for i=1:n
    for j= 1:n
        dist_matrix(i,j) =(sum(abs(X(i,:)-X(j,:)).^m)).^(1/m); 
    end
end 
      



