function  Phi_t = func_phi_t(X,m,t)
%% Phi_t function
%%  Phi_t value
%  2018.10.11
%  2019.3.8
%  2019.3.27
%  Email zhangjing_nudt@163.com
%  X * the design
%  t=50
%% 
% clc
% clear all
% L = 60;
% m = 2;
% t = 50;
% X = [12    12
%     24    24
%     54    42
%     42    54
%     48    18
%     6    30
%     60    60
%     18     6
%     30    48
%     36    36];
% X = (X - 0.5)./L;
dist = func_dis(X,m);
[n,~] = size(X);
dist_phi = zeros(1,n*(n-1)/2);
for i=2:n
    for j= 1:i-1
        dist_phi(1,(i-2)*(i-1)/2+j) = 1/dist(i,j);
    end
end
Phi_t = (sum((dist_phi).^(t))^(1/t));