function  Phi_t = func_phi_t(X,m,t)
%% Phi_t function
%  Email zhangjing_nudt@163.com
%  X                         % the design
% m = 2                      % variable parameter for Phi_t value
% t = 50                     % variable parameter for Phi_t value
%% 
dist = func_dis(X,m);
[n,~] = size(X);
dist_phi = zeros(1,n*(n-1)/2);
for i=2:n
    for j= 1:i-1
        dist_phi(1,(i-2)*(i-1)/2+j) = 1/dist(i,j);
    end
end
Phi_t = (sum((dist_phi).^(t))^(1/t));