function valid_set = func_valid_set(candi_bet,FSLH_col,one_element,N,opt_slice,L,R)
%% tao_(b)
% Email zhangjing_nudt@163.com
% candidate_bet                                   % candi_bet
% FSLH_col                                        % select column
% one_element                                     % random selected element
% N =[n1,n2,...,nt]                               % denotes the size of all slices
% opt_slice                                       % optimazation slice
% L                                               % The lcm for n_1,n_2,...,n_t,sum(n_1,n_2,...,n_t)
% R                                              % The position of the first point in each slice
FSLH_col_0 = setdiff(1:L,FSLH_col');
FSLH_col_all = [FSLH_col',FSLH_col_0];    % row vector
t = L./N;                                                % each slice : t
n = sum(N);
t1 = L/n;                                                % the whole design's t1
n_num = length(candi_bet);
valid_set = zeros(1,n_num);
if  opt_slice <  length(N)
    for i = 1 : n_num
        candi_beti = candi_bet(i);
        positioni = find(FSLH_col_all == candi_beti);       %  position of the   candidate_beti
        if positioni <= sum(N)                                        %  different-slice exchange procedure
            for j = opt_slice+1 :  length(N)
                if positioni > R(j) && positioni <= R(j+1)
                    k = j;                                                      % exchange j and Exchange_slice
                    judge = true;
                    set_slice = ceil(setdiff(FSLH_col(R(k)+1:R(k+1)),candi_beti)./t(k));
                    if length(setdiff(set_slice,ceil(one_element/t(k))))==length(set_slice)
                        judge = true;
                    else
                        judge = false;
                    end
                    if  judge == true
                        valid_set(i) = candi_bet(i);
                    else
                        valid_set(i) = false;
                        break
                    end
                else
                    if  positioni<= R(j)
                        break
                    end
                end
            end
        else          % out-slice exchange procedure
            judge = true;
            set_slice_1 = ceil(setdiff(FSLH_col(1:n),one_element)/t1);
            if  length(setdiff(set_slice_1,ceil(candi_beti/t1)))==length(set_slice_1)
                judge = true;
            else
                judge = false;
            end
            if  judge == true
                valid_set(i) = candi_bet(i);
            else
                valid_set(i) = false;
            end
        end
    end
else
    for i = 1:n_num
        candi_beti = candi_bet(i);
        positioni = find(FSLH_col_all == candi_beti);       %  position of the   candidate_beti
        if positioni > sum(N)       % out-slice exchange procedure
            judge = true;
            set_slice_1 = ceil(setdiff(FSLH_col(1:n),one_element)/t1);
            if  length(setdiff(set_slice_1,ceil(candi_beti/t1)))==length(set_slice_1)
                judge = true;
            else
                judge = false;
            end
            if  judge == true
                valid_set(i) = candi_bet(i);
            else
                valid_set(i) = false;
            end
        end
    end   
end 
valid_set = candi_bet(find(valid_set));   


