%% Example1_scatter
%% N =[4,8,12] scatter diagram
clc
clear all
N =[4,8,12];
q = 2;
m = 2;
t = 50;
u = length(N);
n = sum(N);
%% The lcm for n_1,n_2,...,n_t,n
L = 1;
for i = 1:u
    L = lcm(L,N(i));
end
L = lcm(L,n);
t_a = L./N;
%% The position of the first point in each slice
R = N(1);
for j = 1:length(N)-1
    R = [R,R(j)+N(j+1)];
end
R = [0,R];
%% Before optimization
% FSLH = [22	10
% 4	16
% 10	22
% 16	4
% 5	11
% 8	20
% 14	2
% 11	23
% 23	17
% 2	14
% 20	5
% 17	8
% 19	18
% 1	15
% 12	24
% 9	21
% 3	13
% 7	7
% 15	3
% 13	1
% 21	9
% 6	6
% 18	19
% 24	12]; 
% Phi_CSM = func_Phi_CSM(FSLH,N,R,L,m,t); % Phi_t_CM_0 = 14.4223
%% After optimization
FSLH = [21    12
     2    18
    10     6
    14    21
     8     1
     6    16
    20    23
    17     7
    23     4
     3    10
    11    19
    15    14
    12     2
     1     3
    19    15
     4    22
     9    13
     7     9
    16    24
    22     8
    24    17
     5     5
    18    20
    13    11];% Phi_t_CM_best = 5.6844;P = 20; 140s
Phi_CSM_best = func_Phi_CSM(FSLH,N,R,L,m,t); 
%%
A = (FSLH-0.5)./24;
axis([0 1 0 1]);
scatter(A(R(1)+1:R(2),1),A(R(1)+1:R(2),2),'*','r')
hold on
scatter(A(R(2)+1:R(3),1),A(R(2)+1:R(3),2),'filled','k')
hold on
scatter(A(R(3)+1:R(4),1),A(R(3)+1:R(4),2),'square','b')
box  on
hold on
%% Scatter diagram of 8 design points 
% mx = 0:1/4:1;
% my = 0:1/4:1;
% for k = 2:4
%     line([0,1],[my(k),my(k)],'color','k','linestyle','--')
% end
% for j = 2:4
%     line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
% end
%% Scatter diagram of 8 design points 
% mx = 0:1/8:1;
% my = 0:1/8:1;
% for k = 2:8
%     line([0,1],[my(k),my(k)],'color','k','linestyle','--')
% end
% for j = 2:8
%     line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
% end

%% Scatter diagram of 12 design points 
% mx = 0:1/12:1;
% my = 0:1/12:1;
% for k = 2:12
%     line([0,1],[my(k),my(k)],'color','k','linestyle','--')
% end
% for j = 2:12
%     line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
% end
%% Scatter diagram of 24 design points  
mx = 0:1/24:1;
my = 0:1/24:1;
for k = 2:24
    line([0,1],[my(k),my(k)],'color','k','linestyle','--')
end
for j = 2:24
    line([mx(j),mx(j)],[0,1],'color','k','linestyle','--')
end