 function   Phi_CSM = func_Phi_CSM(FSLH,N,R,L,m,t)
%% Email zhangjing_nudt@163.com
%% Phi_CSM 
% N =[n1,n2,...,n_t]           % denotes the size of all slices    
% R                              % denotes the size of all slices
% L                              % The LCM for n_1,n_2,...,n_t,sum(n_1,n_2,...,n_t,n)
% m = 2                          % variable parameter for Phi_t value
% t = 50                         % variable parameter for Phi_t value
%% 
n = sum(N);
Phi_t_each_slice = zeros(1,length(N));
for v = 1:length(N)               
    Phi_t_each_slice(v) = N(v)/(2*n)*func_phi_t(( FSLH(R(v)+1:R(v+1),:)-0.5)./L,m,t); 
end
Phi_CSM = 1/2*func_phi_t((FSLH-0.5)./L,m,t)+ sum(Phi_t_each_slice);  