function     FSLH_N = func_slice_in(FSLH,N,column,opt_slice)
%% generated  a neighbor design by the within-slice exchange 
%% Email zhangjing_nudt@163.com
% N =[n_1,n_2,...,n_t]      % denotes the size of all slices
% column=column        % random column
% opt_slice = opt_slice;  % ith slice exchange
FSLH_old = FSLH;               
FSLH_N   =  FSLH_old;
if N(opt_slice)== 1
    FSLH_N =  FSLH_old;    
else
    Exchange = randperm(N(opt_slice),2);
    i = Exchange(1);
    j = Exchange(2);
end
if opt_slice == 1
    FSLH_N(i,column) =  FSLH_old(j,column);
    FSLH_N(j,column) =  FSLH_old(i,column);
else
    sum_num = 0;
    for k = 1:opt_slice-1
        sum_num=N(k)+sum_num;
    end
    sumi = sum_num + i;
    sumj = sum_num + j;
    FSLH_N(sumi,column) =  FSLH_old(sumj ,column);
    FSLH_N(sumj,column) =  FSLH_old(sumi,column);
end
end